Request identity verification (PASS)
POST
/v1/auth/pass
const url = 'https://api.parasta.io/v1/auth/pass';const options = { method: 'POST', headers: { 'X-Device-Id': 'example', 'Accept-Language': 'ko', 'Content-Type': 'application/json' }, body: '{"purpose":"register","returnUrl":"https://example.com"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.parasta.io/v1/auth/pass \ --header 'Accept-Language: ko' \ --header 'Content-Type: application/json' \ --header 'X-Device-Id: example' \ --data '{ "purpose": "register", "returnUrl": "https://example.com" }'Start an identity verification session. Mock in M1.
Parameters
Section titled “ Parameters ”Header Parameters
Section titled “Header Parameters ” X-Device-Id
required
string
Device identifier generated as UUIDv4 on the client’s first launch.
Accept-Language
string
Request Body required
Section titled “Request Body required ” Media type application/json
object
purpose
required
string
returnUrl
required
Universal Link / App Links (HTTPS).
string format: uri
Responses
Section titled “ Responses ”OK
Media type application/json
object
passRequestId
required
string
redirectUrl
required
string format: uri
Example generated
{ "passRequestId": "example", "redirectUrl": "https://example.com"}default
Section titled “default ”Error
Media type application/json
object
code
required
Error code prefixed with the service namespace (AUTH_, ACCOUNT_, WALLET_, DID_, ASSET_, TRANSFER_, EXCHANGE_).
string
message
required
string
details
object
key
additional properties
any
Example generated
{ "code": "example", "message": "example", "details": {}}